×
Blue Eagle 5 v1.5.3 has been Released (31 Mar 2020)

The Kunena team has announce the arrival of Kunena template Blue Eagle 5 v1.5.3 which is now available for download. This version addresses most of the issues that were discovered in development.

× Topics that are moved into this category are generally considered to be closed. Users may want to add additional information but these topics should not be resurrected in order to discuss new problems or unrelated matters.

Solved Upgrade problems with K 1.x -> K 2.0.3 (and solution)

More
7 years 3 months ago - 7 years 3 months ago #1 by BrainDrained
As many have already found out the upgrade from 1.7.2 or 1.7.3 to 2.0.3 does NOT work.

If you do the upgrade 1.7.2 to 2.0.1 it DOES work, then you can update to 2.0.3


I hope this saves a few from the disaster I went through yesterday.

BrainDrained
Last edit: 7 years 3 months ago by sozzled. Reason: minor correction - there never was a version K 1.7.3
The following user(s) said Thank You: hoeschen
The topic has been locked.
More
7 years 3 months ago #2 by hoeschen
I can confirm this issue.

All topics are unapproved / access denied even for admins and the date is 42 years in the past.

If you approve the topics manually the messages are fixed and even the creation date is correct.

It does not seems to be a database isssue. At least not with the messages table. :evil:
The topic has been locked.
More
7 years 3 months ago - 7 years 3 months ago #3 by regdomain
Confirm, upgrade to 2.0.3 is a disaster.

Where to get kunena 2.0.1?
Last edit: 7 years 3 months ago by regdomain.
The topic has been locked.
More
7 years 3 months ago - 7 years 3 months ago #4 by rich
All publicly released stable versions of Kunena are available at:
joomlacode.org/gf/project/kunena/frs/?ac...50&_br_pkgrls_page=2
Last edit: 7 years 3 months ago by rich.
The topic has been locked.
More
7 years 3 months ago #5 by regdomain
thank you very much!
The topic has been locked.
More
7 years 3 months ago - 7 years 3 months ago #6 by regdomain
FAILURE

Attempt to upgrade from kunena 1.7.2 to 2.0.1 caused access rights problem to all categories. By default now joomla.level is selected and access is settled to 1 or 2 as unrecognized authorization method. Could not be changed. Upgrade to 2.0.3 did not fix the problem.

I gueass this is because of the latest core or jomsocial installed.
Attachments:
Last edit: 7 years 3 months ago by regdomain.
The topic has been locked.
More
7 years 3 months ago #7 by the_target
Problem confirmed. 1.7.2 upgrade to 2.0.3 is a wreck. Thank goodness for Akeeba backup. Waiting for another version or two to mature at this point.
The topic has been locked.
More
7 years 3 months ago #8 by Matias
We are currently investigating the problem, but we are not quite sure what causes it.

There's a bug report in GitHub at: github.com/Kunena/Kunena-2.0/issues/1220

When fix is being made, that is the first place to look into.
The topic has been locked.
More
7 years 3 months ago #9 by regdomain
Probbaly it is problem with 1.7.2 to 2.0? Could anyone provide with 1.7.3 copy?
The topic has been locked.
More
7 years 3 months ago #10 by Matias
The issue is more likely in Kunena 2.0 topics migration which had a fix in Kunena 2.0.3.

After quickly looking into your screenshot -- please make sure that plugin called "Kunena - Joomla integration" is enabled.
The topic has been locked.
  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.080 seconds